Subject: Re: bug#25105: M-p in diff-mode jumps too far

From: Tino Calancha <[email-masked]>
Date: Fri, 13 Jan 2017 15:54:28 +0900 (JST)

On Fri, 13 Jan 2017, [email-masked] wrote:

> Tino Calancha <[email-masked]> writes:
>
>>>
>>> I merged the bugs, and dropped #25400 from the cc list, because I'm
>>> getting duplicate emails everytime.
>> Thank you.  Sorry for the duplicated e-mails :-(
>
> Hmm, I'm still getting duplicates.  Maybe I shouldn't have merged?  Oh well.
Could be because i answered the e-mail to you and CC to Bug#25105? If you
are registered to that bug you might get 2 e-mails.
>>> I think the commit summary could be a bit friendlier, otherwise it looks
>>> good to me.
>> Thanks.  I agree: if i read my own commit after some months, probably
>> i will not fully understand it.
>> I propose following more verbose one:
>>
>> Fix Bug#17544
>
> I was thinking more about this summary line.  And maybe add some higher
> level explanation before the ChangeLog entry about the problems being
> solved?
How about copy verbatim the comentary from Dima in 2c8a7e5? He explained
very clearly the problem, and i am solving the same thing.
Mention to the regressions should must appear in the previous commit, 
where i do the actual revert.